Bug 60333 - ncurses-5.2-24 broke "make menuconfig"
ncurses-5.2-24 broke "make menuconfig"
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: ncurses (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-25 16:35 EST by Olivier Baudron
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-25 16:35:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Baudron 2002-02-25 16:35:12 EST
I upgraded ncurses from 5.2-18 to 5.2-24. It broke the kernel configuration
command "make menuconfig" (at least kernel-2.4.17 and kernel-2.4.18).

baud:/usr/local/src/linux-2.4.18# make menuconfig
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts/lxdialog all
make[1]: Entering directory `/usr/local/src/linux-2.4.18/scripts/lxdialog'
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -DLOCALE 
-I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>" -c -o checklist.o checklist.c
checklist.c: In function `dialog_checklist':
checklist.c:154: `TRUE' undeclared (first use in this function)
checklist.c:154: (Each undeclared identifier is reported only once
checklist.c:154: for each function it appears in.)
checklist.c:241: `FALSE' undeclared (first use in this function)
make[1]: *** [checklist.o] Error 1
make[1]: Leaving directory `/usr/local/src/linux-2.4.18/scripts/lxdialog'
make: *** [menuconfig] Error 2
Comment 1 Bernhard Rosenkraenzer 2002-02-26 07:49:57 EST
Fixed in -25

Note You need to log in before you can comment on or make changes to this bug.